#include <edapi/journal/file.h>

typedef struct {
    char *filename;
    char *timestamp;
} EDJournalFilePrivate;

struct _EDJournalFile {
    GObject parent;
};

struct _EDJournalFileClass {
    GObjectClass parent_class;
};

G_DEFINE_TYPE_EXTENDED(EDJournalFile,
                       ed_journal_file,
                       G_TYPE_OBJECT,
                       0,
                       G_ADD_PRIVATE(EDJournalFile)
    );

static void ed_journal_file_finalize(GObject *obj)
{
    EDJournalFile *self = ED_JOURNALFILE(obj);
    EDJournalFilePrivate *p = ed_journal_file_get_instance_private(self);

    free(p->filename);
    p->filename = NULL;

    free(p->timestamp);
    p->timestamp = NULL;

    G_OBJECT_CLASS(ed_journal_file_parent_class)->finalize(obj);
}

static void ed_journal_file_class_init(EDJournalFileClass *klass)
{
    G_OBJECT_CLASS(klass)->finalize = ed_journal_file_finalize;
}

static void ed_journal_file_init(EDJournalFile *self)
{
}

EDJournalFile *ed_journal_file_new(void)
{
    return g_object_new(ED_TYPE_JOURNALFILE, NULL);
}
